<?php

//load lib
require_once $mascot_core_educacion_plugin_dir_path . '/inc/widgets/lib/abstract-widgets.php';

/* Loads all widgets located in widgets folder
================================================== */
if( !function_exists('mascot_core_educacion_load_all_widgets') ) {
	function mascot_core_educacion_load_all_widgets() {
		global $mascot_core_educacion_plugin_dir_path;
		foreach( glob($mascot_core_educacion_plugin_dir_path.'/inc/widgets/parts/*/loader.php') as $each_sc_loader ) {
			require_once $each_sc_loader;
		}
		require_once $mascot_core_educacion_plugin_dir_path . '/inc/widgets/parts/reg-widgets.php';
	}
	add_action('widgets_init', 'mascot_core_educacion_load_all_widgets');
}